| Apache Ignite C++

Public Member Functions | Friends | List of all members
ignite::Timestamp Class Reference

Timestamp type. More...

`#include <timestamp.h>`

## Public Member Functions
| Timestamp ()
| Default constructor.
| Timestamp (const Timestamp &another)
| Copy constructor. More...
| Timestamp (int64_t ms)
| Constructor. More...
| Timestamp (int64_t seconds, int32_t fractionNs)
| Constructor. More...
Timestamp & | operator= (const Timestamp &another)
| Copy operator. More...
int64_t | GetMilliseconds () const
| Returns number of milliseconds since 00:00 hours, Jan 1, 1970 UTC. More...
int64_t | GetSeconds () const
| Returns number of seconds since 00:00 hours, Jan 1, 1970 UTC. More...
int32_t | GetSecondFraction () const
| Returns number of nanoseconds - fractional seconds component. More...
Date | GetDate () const
| Returns corresponding date. More...

## Friends
bool IGNITE_IMPORT_EXPORT | operator== (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator!= (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator< (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator<= (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator> (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...
bool IGNITE_IMPORT_EXPORT | operator>= (const Timestamp &val1, const Timestamp &val2)
| Comparison operator override. More...

## Detailed Description

Timestamp type.

## Constructor & Destructor Documentation

## ◆ Timestamp() [1/3]

ignite::Timestamp::Timestamp | ( | const Timestamp & | another | ) |

Copy constructor.

Parameters

  another | Another instance.

## ◆ Timestamp() [2/3]

ignite::Timestamp::Timestamp | ( | int64_t | ms | ) |

Constructor.

Parameters

  ms | Number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

## ◆ Timestamp() [3/3]

ignite::Timestamp::Timestamp | ( | int64_t | seconds,
|  | int32_t | fractionNs
| ) |  |

Constructor.

Parameters

  seconds | Number of seconds since 00:00 hours, Jan 1, 1970 UTC.
  fractionNs | Fractional second component in nanoseconds. Must be in range [0..999999999].

## Member Function Documentation

## ◆ GetDate()

Date ignite::Timestamp::GetDate | ( |  | ) | const

Returns corresponding date.

Returns
  Corresponding date.

## ◆ GetMilliseconds()

int64_t ignite::Timestamp::GetMilliseconds | ( |  | ) | const

Returns number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

Returns
  Number of milliseconds since 00:00 hours, Jan 1, 1970 UTC.

## ◆ GetSecondFraction()

int32_t ignite::Timestamp::GetSecondFraction | ( |  | ) | const

Returns number of nanoseconds - fractional seconds component.

Returns
  Fractional second component expressed in nanoseconds.

## ◆ GetSeconds()

int64_t ignite::Timestamp::GetSeconds | ( |  | ) | const

Returns number of seconds since 00:00 hours, Jan 1, 1970 UTC.

Returns
  Number of seconds since 00:00 hours, Jan 1, 1970 UTC.

## ◆ operator=()

Timestamp & ignite::Timestamp::operator= | ( | const Timestamp & | another | ) |

Copy operator.

Parameters

  another | Another instance.

Returns
  This.

## Friends And Related Function Documentation

## ◆ operator!=

bool IGNITE_IMPORT_EXPORT operator!= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if not equal.

## ◆ operator<

bool IGNITE_IMPORT_EXPORT operator< | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less.

## ◆ operator<=

bool IGNITE_IMPORT_EXPORT operator<= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if less or equal.

## ◆ operator==

bool IGNITE_IMPORT_EXPORT operator== | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if equal.

## ◆ operator>

bool IGNITE_IMPORT_EXPORT operator> | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter.

## ◆ operator>=

bool IGNITE_IMPORT_EXPORT operator>= | ( | const Timestamp & | val1,
|  | const Timestamp & | val2
| ) |  |
| friend

Comparison operator override.

Parameters

  val1 | First value.
  val2 | Second value.

Returns
  True if gretter or equal.

The documentation for this class was generated from the following files:

- timestamp.h
- timestamp.cpp